{ buildApp, nextcloudVersion }:
assert nextcloudVersion >= 11 && nextcloudVersion <= 18;
buildApp rec {
  appName = "keeweb";
  version = "0.6.2";
  url = "https://github.com/jhass/nextcloud-keeweb/releases/download/v${version}/${appName}-${version}.tar.gz";
  sha256 = "067801qz0fcfvmb14ja1ringzk53j1wp7ys2fl7lnlhf45r81vxx";
  installPhase = ''
    mkdir -p $out
    cp -R . $out/
    '';
  otherConfig = {
    mimetypemapping = {
      "kdbx" = ["application/x-kdbx"];
    };
  };
}
